﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Cases_Grid_Async_Upload_AsyncUpload_Columns_with_progress_bar : System.Web.UI.Page
{
    public DataTable GridSource
    {
        get
        {
            return (Session["GridSource"] != null) ? (DataTable)Session["GridSource"] : GetGridSource();
        }
        set
        {
            Session["GridSource"] = value;
        }
    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    #region DataTable GridSource
    private DataTable GetGridSource()
    {
        DataTable dataTable = new DataTable();

        DataColumn column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
        column.ColumnName = "ID";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "Name";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.String");
        column.ColumnName = "Description";
        dataTable.Columns.Add(column);

        column = new DataColumn();
        column.DataType = Type.GetType("System.Byte[]");
        column.ColumnName = "Data";
        dataTable.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = dataTable.Columns["ID"];
        dataTable.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 4; i++)
        {
            DataRow row = dataTable.NewRow();
            row["ID"] = i + 1;
            row["Name"] = "Name " + (i + 1);
            row["Description"] = "Name " + (i + 1);

            dataTable.Rows.Add(row);
        }

        return dataTable;
    }

    #endregion

    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        (sender as RadGrid).DataSource = GridSource;
    }
    protected void RadAsyncUpload1_FileUploaded(object sender, FileUploadedEventArgs e)
    {
      
    }
    protected void RadGrid1_BatchEditCommand(object sender, GridBatchEditingEventArgs e)
    {
        foreach (GridBatchEditingCommand command in e.Commands)
        {


            Hashtable newValues = command.NewValues;
            Hashtable oldValues = command.OldValues;
            string a = string.Empty;
        }
    }
}