﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AsyncUpload_Columns_with_progress_bar.aspx.cs" Inherits="Cases_Grid_Async_Upload_AsyncUpload_Columns_with_progress_bar" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .gridContainer {
            width: 400px;
            float: left;
            margin-right: 50px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function uploadAllAsync(sender, args) {
                var grid = $find('<%=RadGrid1.ClientID %>');
                var masterTable = grid.get_masterTableView();
                traverseUploadAll(masterTable);
            }

            function traverseUploadAll(gridTableView) {
                var dataItems = gridTableView.get_dataItems();
                for (var i = 0; i < dataItems.length; i++) {
                    dataItems[i].findControl("AsyncUpload1").startUpload();
                }
            }

            function uploadPerRow(sender, args) {
                var grid = $find('<%=RadGrid2.ClientID %>');
                var masterTable = grid.get_masterTableView();
                startRowUpload(masterTable, 0);
            }
            function startRowUpload(masterTable, index) {
                var item = masterTable.get_dataItems()[index];
                var asyncUpload = item.findControl("AsyncUpload1");

                if (asyncUpload._selectedFilesCount < 1) {
                    startRowUpload(masterTable, ++index)
                    return false;
                }

                function filesUploaded() { /* Event handler for AsyncUpload after file upload has finished */
                    for (var i = ++index; i < masterTable.get_dataItems().length; i++) {
                        var nextItem = masterTable.get_dataItems()[i];
                        if (nextItem.findControl("AsyncUpload1")._selectedFilesCount > 0) {
                            startRowUpload(masterTable, i);
                            break;
                        }
                    }
                }

                asyncUpload.startUpload();
                asyncUpload.add_filesUploaded(filesUploaded);
            }

        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" EnableAJAX="false">
        </telerik:RadAjaxManager>

        <div class="gridContainer">
            <telerik:RadGrid RenderMode="Lightweight" runat="server" ID="RadGrid1" AllowSorting="True"
                Width="100%"
                AutoGenerateColumns="False" GridLines="None"
                OnBatchEditCommand="RadGrid1_BatchEditCommand"
                OnNeedDataSource="RadGrid1_NeedDataSource">

                <MasterTableView CommandItemDisplay="Top" DataKeyNames="ID">
                    <Columns>
                        <telerik:GridTemplateColumn DataField="ID" HeaderText="Image" UniqueName="Upload">
                            <ItemTemplate>
                                <telerik:RadAsyncUpload RenderMode="Lightweight" runat="server" ID="AsyncUpload1"
                                    OnFileUploaded="RadAsyncUpload1_FileUploaded" ManualUpload="true">
                                </telerik:RadAsyncUpload>
                            </ItemTemplate>
                            <EditItemTemplate>
                            </EditItemTemplate>
                        </telerik:GridTemplateColumn>

                    </Columns>
                    <EditFormSettings>
                        <EditColumn ButtonType="FontIconButton">
                        </EditColumn>
                    </EditFormSettings>
                    <PagerStyle AlwaysVisible="True"></PagerStyle>
                </MasterTableView>
            </telerik:RadGrid>
            <br />
            <br />
            <telerik:RadButton ID="RadButton1" runat="server" Text="Upload All Asynchronously" AutoPostBack="false" OnClientClicked="uploadAllAsync"></telerik:RadButton>

        </div>
        <div class="gridContainer">
            <telerik:RadGrid RenderMode="Lightweight" runat="server" ID="RadGrid2" AllowSorting="True"
                Width="100%"
                AutoGenerateColumns="False" GridLines="None"
                OnBatchEditCommand="RadGrid1_BatchEditCommand"
                OnNeedDataSource="RadGrid1_NeedDataSource">

                <MasterTableView CommandItemDisplay="Top" DataKeyNames="ID">
                    <Columns>
                        <telerik:GridTemplateColumn DataField="ID" HeaderText="Image" UniqueName="Upload">
                            <ItemTemplate>
                                <telerik:RadAsyncUpload RenderMode="Lightweight" runat="server" ID="AsyncUpload1"
                                    OnFileUploaded="RadAsyncUpload1_FileUploaded" ManualUpload="true">
                                </telerik:RadAsyncUpload>
                            </ItemTemplate>
                            <EditItemTemplate>
                            </EditItemTemplate>
                        </telerik:GridTemplateColumn>

                    </Columns>
                    <EditFormSettings>
                        <EditColumn ButtonType="FontIconButton">
                        </EditColumn>
                    </EditFormSettings>
                    <PagerStyle AlwaysVisible="True"></PagerStyle>
                </MasterTableView>
            </telerik:RadGrid>
            <br />
            <br />
            <telerik:RadButton ID="RadButton2" runat="server" Text="Upload One After The Other" AutoPostBack="false" OnClientClicked="uploadPerRow"></telerik:RadButton>
        </div>
    </form>
</body>
</html>

